﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __PropertyFile = LightSwitchApplication.PropertyFile
Imports __TenantFile = LightSwitchApplication.TenantFile

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class PropertyFile
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __PropertyFile, __PropertyFile.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the PropertyFile entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __PropertyFile))
            MyBase.New(entitySet)
            
            __PropertyFile.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyFile_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyFile_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __PropertyFile.DetailsClass.GetValue(Me, __PropertyFile.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __PropertyFile.DetailsClass.SetValue(Me, __PropertyFile.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __PropertyFile.DetailsClass.GetValue(Me, __PropertyFile.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __PropertyFile.DetailsClass.SetValue(Me, __PropertyFile.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Filename As String
            Get
                Return __PropertyFile.DetailsClass.GetValue(Me, __PropertyFile.DetailsClass.PropertySetProperties.Filename)
            End Get
            Set
                __PropertyFile.DetailsClass.SetValue(Me, __PropertyFile.DetailsClass.PropertySetProperties.Filename, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Filename_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Filename_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Filename_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Document As Byte()
            Get
                Return __PropertyFile.DetailsClass.GetValue(Me, __PropertyFile.DetailsClass.PropertySetProperties.Document)
            End Get
            Set
                __PropertyFile.DetailsClass.SetValue(Me, __PropertyFile.DetailsClass.PropertySetProperties.Document, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Document_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Document_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Document_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PropertyHeader As Global.LightSwitchApplication.PropertyHeader
            Get
                Return __PropertyFile.DetailsClass.GetValue(Me, __PropertyFile.DetailsClass.PropertySetProperties.PropertyHeader)
            End Get
            Set
                __PropertyFile.DetailsClass.SetValue(Me, __PropertyFile.DetailsClass.PropertySetProperties.PropertyHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyHeader_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __PropertyFile, _
                __PropertyFile.DetailsClass, _
                __PropertyFile.DetailsClass.IImplementation, _
                __PropertyFile.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __PropertyFile, __PropertyFile.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __PropertyFile, __PropertyFile.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __PropertyFile.DetailsClass.PropertySetProperties.RowVersion
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __PropertyFileEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __PropertyFile, __PropertyFile.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __PropertyFile, __PropertyFile.DetailsClass).Entry( _
                    AddressOf __PropertyFile.DetailsClass.__PropertyFile_CreateNew, _
                    AddressOf __PropertyFile.DetailsClass.__PropertyFile_Created, _
                    AddressOf __PropertyFile.DetailsClass.__PropertyFile_AllowSaveWithErrors)
            Private Shared Function __PropertyFile_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __PropertyFile)) As __PropertyFile
                Return New __PropertyFile(es)
            End Function
            Private Shared Sub __PropertyFile_Created(e As __PropertyFile)
                e.PropertyFile_Created()
            End Sub
            Private Shared Function __PropertyFile_AllowSaveWithErrors(e As __PropertyFile) As Boolean
                Dim result As Boolean = False
                e.PropertyFile_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __PropertyFile, __PropertyFile.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __PropertyFile, __PropertyFile.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __PropertyFile.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __PropertyFile, __PropertyFile.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__PropertyFile.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__PropertyFile.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property Filename As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__PropertyFile.DetailsClass.PropertySetProperties.Filename),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Document As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__PropertyFile.DetailsClass.PropertySetProperties.Document),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property PropertyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Global.LightSwitchApplication.PropertyHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__PropertyFile.DetailsClass.PropertySetProperties.PropertyHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Global.LightSwitchApplication.PropertyHeader))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property RowVersion As Byte()
                Shadows Property Id As Integer
                Shadows Property Filename As String
                Shadows Property Document As Byte()
                Shadows Property PropertyHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __PropertyFile.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte()).Data), d As __PropertyFile.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __PropertyFile) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __PropertyFile, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __PropertyFile.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __PropertyFile.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __PropertyFile)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __PropertyFile.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Integer).Data), d As __PropertyFile.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __PropertyFile) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __PropertyFile, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __PropertyFile.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __PropertyFile.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __PropertyFile)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Filename As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, String).Entry( _
                        "Filename", _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Filename_Stub, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Filename_ComputeIsReadOnly, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Filename_Validate, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Filename_GetImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Filename_SetImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Filename_OnValueChanged)
                Private Shared Sub _Filename_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __PropertyFile.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, String).Data), d As __PropertyFile.DetailsClass, sf As Object)
                    c(d, d._Filename, sf)
                End Sub
                Private Shared Function _Filename_ComputeIsReadOnly(e As __PropertyFile) As Boolean
                    Dim result As Boolean = False
                    e.Filename_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Filename_Validate(e As __PropertyFile, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Filename_Validate(r)
                End Sub
                Private Shared Function _Filename_GetImplementationValue(d As __PropertyFile.DetailsClass) As String
                    Return d.ImplementationEntity.Filename
                End Function
                Private Shared Sub _Filename_SetImplementationValue(d As __PropertyFile.DetailsClass, v As String)
                    d.ImplementationEntity.Filename = v
                End Sub
                Private Shared Sub _Filename_OnValueChanged(e As __PropertyFile)
                    e.Filename_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Document As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte()).Entry( _
                        "Document", _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Document_Stub, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Document_ComputeIsReadOnly, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Document_Validate, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Document_GetImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Document_SetImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._Document_OnValueChanged)
                Private Shared Sub _Document_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __PropertyFile.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte()).Data), d As __PropertyFile.DetailsClass, sf As Object)
                    c(d, d._Document, sf)
                End Sub
                Private Shared Function _Document_ComputeIsReadOnly(e As __PropertyFile) As Boolean
                    Dim result As Boolean = False
                    e.Document_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Document_Validate(e As __PropertyFile, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Document_Validate(r)
                End Sub
                Private Shared Function _Document_GetImplementationValue(d As __PropertyFile.DetailsClass) As Byte()
                    Return d.ImplementationEntity.Document
                End Function
                Private Shared Sub _Document_SetImplementationValue(d As __PropertyFile.DetailsClass, v As Byte())
                    d.ImplementationEntity.Document = v
                End Sub
                Private Shared Sub _Document_OnValueChanged(e As __PropertyFile)
                    e.Document_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PropertyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Entry( _
                        "PropertyHeader", _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._PropertyHeader_Stub, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._PropertyHeader_ComputeIsReadOnly, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._PropertyHeader_Validate, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._PropertyHeader_GetCoreImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._PropertyHeader_GetImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._PropertyHeader_SetImplementationValue, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._PropertyHeader_Refresh, _
                        AddressOf __PropertyFile.DetailsClass.PropertySetProperties._PropertyHeader_OnValueChanged)
                Private Shared Sub _PropertyHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __PropertyFile.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Data), d As __PropertyFile.DetailsClass, sf As Object)
                    c(d, d._PropertyHeader, sf)
                End Sub
                Private Shared Function _PropertyHeader_ComputeIsReadOnly(e As __PropertyFile) As Boolean
                    Dim result As Boolean = False
                    e.PropertyHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PropertyHeader_Validate(e As __PropertyFile, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PropertyHeader_Validate(r)
                End Sub
                Private Shared Function _PropertyHeader_GetCoreImplementationValue(d as __PropertyFile.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.PropertyHeader
                End Function
                Private Shared Function _PropertyHeader_GetImplementationValue(d as __PropertyFile.DetailsClass) As Global.LightSwitchApplication.PropertyHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.PropertyHeader, Global.LightSwitchApplication.PropertyHeader.DetailsClass)(__PropertyFile.DetailsClass.PropertySetProperties.PropertyHeader, d._PropertyHeader)
                End Function
                Private Shared Sub _PropertyHeader_SetImplementationValue(d As __PropertyFile.DetailsClass, v As Global.LightSwitchApplication.PropertyHeader)
                    d.SetImplementationValue(__PropertyFile.DetailsClass.PropertySetProperties.PropertyHeader, d._PropertyHeader, Sub(i, ev) i.PropertyHeader = ev, v)
                End Sub
                Private Shared Sub _PropertyHeader_Refresh(d As __PropertyFile.DetailsClass)
                    d.RefreshNavigationProperty(__PropertyFile.DetailsClass.PropertySetProperties.PropertyHeader, d._PropertyHeader)
                End Sub
                Private Shared Sub _PropertyHeader_OnValueChanged(e As __PropertyFile)
                    e.PropertyHeader_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Filename As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Document As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PropertyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __PropertyFile, __PropertyFile.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Data
            
        End Class
    
        #End Region
    
    End Class
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class TenantFile
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __TenantFile, __TenantFile.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the TenantFile entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __TenantFile))
            MyBase.New(entitySet)
            
            __TenantFile.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub TenantFile_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub TenantFile_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __TenantFile.DetailsClass.GetValue(Me, __TenantFile.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __TenantFile.DetailsClass.SetValue(Me, __TenantFile.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __TenantFile.DetailsClass.GetValue(Me, __TenantFile.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __TenantFile.DetailsClass.SetValue(Me, __TenantFile.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property FileName As String
            Get
                Return __TenantFile.DetailsClass.GetValue(Me, __TenantFile.DetailsClass.PropertySetProperties.FileName)
            End Get
            Set
                __TenantFile.DetailsClass.SetValue(Me, __TenantFile.DetailsClass.PropertySetProperties.FileName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub FileName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub FileName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub FileName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Document As Byte()
            Get
                Return __TenantFile.DetailsClass.GetValue(Me, __TenantFile.DetailsClass.PropertySetProperties.Document)
            End Get
            Set
                __TenantFile.DetailsClass.SetValue(Me, __TenantFile.DetailsClass.PropertySetProperties.Document, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Document_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Document_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Document_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property TenantDetail As Global.LightSwitchApplication.TenantDetail
            Get
                Return __TenantFile.DetailsClass.GetValue(Me, __TenantFile.DetailsClass.PropertySetProperties.TenantDetail)
            End Get
            Set
                __TenantFile.DetailsClass.SetValue(Me, __TenantFile.DetailsClass.PropertySetProperties.TenantDetail, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub TenantDetail_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub TenantDetail_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub TenantDetail_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __TenantFile, _
                __TenantFile.DetailsClass, _
                __TenantFile.DetailsClass.IImplementation, _
                __TenantFile.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __TenantFile, __TenantFile.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __TenantFile, __TenantFile.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __TenantFile.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __TenantFileEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __TenantFile, __TenantFile.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __TenantFile, __TenantFile.DetailsClass).Entry( _
                    AddressOf __TenantFile.DetailsClass.__TenantFile_CreateNew, _
                    AddressOf __TenantFile.DetailsClass.__TenantFile_Created, _
                    AddressOf __TenantFile.DetailsClass.__TenantFile_AllowSaveWithErrors)
            Private Shared Function __TenantFile_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __TenantFile)) As __TenantFile
                Return New __TenantFile(es)
            End Function
            Private Shared Sub __TenantFile_Created(e As __TenantFile)
                e.TenantFile_Created()
            End Sub
            Private Shared Function __TenantFile_AllowSaveWithErrors(e As __TenantFile) As Boolean
                Dim result As Boolean = False
                e.TenantFile_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __TenantFile, __TenantFile.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __TenantFile, __TenantFile.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __TenantFile.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __TenantFile, __TenantFile.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__TenantFile.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__TenantFile.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property FileName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__TenantFile.DetailsClass.PropertySetProperties.FileName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Document As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__TenantFile.DetailsClass.PropertySetProperties.Document),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property TenantDetail As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __TenantFile, __TenantFile.DetailsClass, Global.LightSwitchApplication.TenantDetail)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__TenantFile.DetailsClass.PropertySetProperties.TenantDetail),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __TenantFile, __TenantFile.DetailsClass, Global.LightSwitchApplication.TenantDetail))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property FileName As String
                Shadows Property Document As Byte()
                Shadows Property TenantDetail As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __TenantFile.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Integer).Data), d As __TenantFile.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __TenantFile) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __TenantFile, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __TenantFile.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __TenantFile.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __TenantFile)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __TenantFile.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte()).Data), d As __TenantFile.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __TenantFile) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __TenantFile, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __TenantFile.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __TenantFile.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __TenantFile)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly FileName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, String).Entry( _
                        "FileName", _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._FileName_Stub, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._FileName_ComputeIsReadOnly, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._FileName_Validate, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._FileName_GetImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._FileName_SetImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._FileName_OnValueChanged)
                Private Shared Sub _FileName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __TenantFile.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, String).Data), d As __TenantFile.DetailsClass, sf As Object)
                    c(d, d._FileName, sf)
                End Sub
                Private Shared Function _FileName_ComputeIsReadOnly(e As __TenantFile) As Boolean
                    Dim result As Boolean = False
                    e.FileName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _FileName_Validate(e As __TenantFile, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.FileName_Validate(r)
                End Sub
                Private Shared Function _FileName_GetImplementationValue(d As __TenantFile.DetailsClass) As String
                    Return d.ImplementationEntity.FileName
                End Function
                Private Shared Sub _FileName_SetImplementationValue(d As __TenantFile.DetailsClass, v As String)
                    d.ImplementationEntity.FileName = v
                End Sub
                Private Shared Sub _FileName_OnValueChanged(e As __TenantFile)
                    e.FileName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Document As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte()).Entry( _
                        "Document", _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Document_Stub, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Document_ComputeIsReadOnly, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Document_Validate, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Document_GetImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Document_SetImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._Document_OnValueChanged)
                Private Shared Sub _Document_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __TenantFile.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte()).Data), d As __TenantFile.DetailsClass, sf As Object)
                    c(d, d._Document, sf)
                End Sub
                Private Shared Function _Document_ComputeIsReadOnly(e As __TenantFile) As Boolean
                    Dim result As Boolean = False
                    e.Document_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Document_Validate(e As __TenantFile, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Document_Validate(r)
                End Sub
                Private Shared Function _Document_GetImplementationValue(d As __TenantFile.DetailsClass) As Byte()
                    Return d.ImplementationEntity.Document
                End Function
                Private Shared Sub _Document_SetImplementationValue(d As __TenantFile.DetailsClass, v As Byte())
                    d.ImplementationEntity.Document = v
                End Sub
                Private Shared Sub _Document_OnValueChanged(e As __TenantFile)
                    e.Document_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly TenantDetail As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __TenantFile, __TenantFile.DetailsClass, Global.LightSwitchApplication.TenantDetail).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __TenantFile, __TenantFile.DetailsClass, Global.LightSwitchApplication.TenantDetail).Entry( _
                        "TenantDetail", _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._TenantDetail_Stub, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._TenantDetail_ComputeIsReadOnly, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._TenantDetail_Validate, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._TenantDetail_GetCoreImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._TenantDetail_GetImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._TenantDetail_SetImplementationValue, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._TenantDetail_Refresh, _
                        AddressOf __TenantFile.DetailsClass.PropertySetProperties._TenantDetail_OnValueChanged)
                Private Shared Sub _TenantDetail_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __TenantFile.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __TenantFile, __TenantFile.DetailsClass, Global.LightSwitchApplication.TenantDetail).Data), d As __TenantFile.DetailsClass, sf As Object)
                    c(d, d._TenantDetail, sf)
                End Sub
                Private Shared Function _TenantDetail_ComputeIsReadOnly(e As __TenantFile) As Boolean
                    Dim result As Boolean = False
                    e.TenantDetail_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _TenantDetail_Validate(e As __TenantFile, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.TenantDetail_Validate(r)
                End Sub
                Private Shared Function _TenantDetail_GetCoreImplementationValue(d as __TenantFile.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.TenantDetail
                End Function
                Private Shared Function _TenantDetail_GetImplementationValue(d as __TenantFile.DetailsClass) As Global.LightSwitchApplication.TenantDetail
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.TenantDetail, Global.LightSwitchApplication.TenantDetail.DetailsClass)(__TenantFile.DetailsClass.PropertySetProperties.TenantDetail, d._TenantDetail)
                End Function
                Private Shared Sub _TenantDetail_SetImplementationValue(d As __TenantFile.DetailsClass, v As Global.LightSwitchApplication.TenantDetail)
                    d.SetImplementationValue(__TenantFile.DetailsClass.PropertySetProperties.TenantDetail, d._TenantDetail, Sub(i, ev) i.TenantDetail = ev, v)
                End Sub
                Private Shared Sub _TenantDetail_Refresh(d As __TenantFile.DetailsClass)
                    d.RefreshNavigationProperty(__TenantFile.DetailsClass.PropertySetProperties.TenantDetail, d._TenantDetail)
                End Sub
                Private Shared Sub _TenantDetail_OnValueChanged(e As __TenantFile)
                    e.TenantDetail_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _FileName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Document As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __TenantFile, __TenantFile.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _TenantDetail As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __TenantFile, __TenantFile.DetailsClass, Global.LightSwitchApplication.TenantDetail).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
